[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Yum not working after upgrade

On Sat, 20 Jun 2009, Colin Paul Adams wrote:

Yum is not working after I upgraded from F10 to F11.

yum update

gives me:

here was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

  No module named yum

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.6 (r26:66714, Mar 17 2009, 11:44:14)
[GCC 4.4.0 20090313 (Red Hat 4.4.0-0.26)]

If you cannot solve this problem yourself, please go to
the yum faq at:

rpm -q yum gives me:


so it looks like it wasn't upgraded.

How am I supposed to fix this by hand?

Get the F11 updates version of yum from your favourite mirror http://mirrors.fedoraproject.org/publiclist/Fedora/11/
or from koji
then upgrade to that version using rpm eg.
rpm -Fvh yum-3.2.23-3.fc11.noarch.rpm
This might ask for more packages, so if necessary download them and add them to the end of the rpm command until the install works. then try
yum update

	Michael Young

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]